package com.yijia.station.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 油站支付设置对象 station_pay
 *
 * @author yijia
 * @date 2021-02-22
 */
public class StationPay extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    /** 主键自增id */
    private Long payId;
    /** 油站id */
    private Long stationId;
    /** 油站名称 */
    private String stationName;

    /** 会员卡启用标识 （1、启动 0，停用） */
    private String cardEnabledFlag;
    /** 班结是否打印(1是 0否) */
    private String wsPrintFlag;
    /** 打印小票（1 客户联，2商户联，3客户和商户联） */
    private String printSetting;
    /** 优惠方案设置（1直降，2，满减，3 立减） */
    private String discountSetting;
    /** 积分是否打印小票(1,是，0否) */
    private String integralPrintFlag;
    /*积分是否开启 1开启 0关闭 */
    private String integralFlag;
    /**公告*/
    private String notice;

    public String getIntegralFlag() {
        return integralFlag;
    }

    public void setIntegralFlag(String integralFlag) {
        this.integralFlag = integralFlag;
    }

    public String getIntegralPrintFlag() {
        return integralPrintFlag;
    }

    public void setIntegralPrintFlag(String integralPrintFlag) {
        this.integralPrintFlag = integralPrintFlag;
    }

    public String getNotice() {
        return notice;
    }

    public void setNotice(String notice) {
        this.notice = notice;
    }

    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }


    private List<StationPic> imgFileList;

    public List<StationPic> getImgFileList() {
        return imgFileList;
    }

    public void setImgFileList(List<StationPic> imgFileList) {
        this.imgFileList = imgFileList;
    }


    public void setPayId(Long payId)
    {
        this.payId = payId;
    }

    public Long getPayId()
    {
        return payId;
    }

    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setCardEnabledFlag(String cardEnabledFlag)
    {
        this.cardEnabledFlag = cardEnabledFlag;
    }

    public String getCardEnabledFlag()
    {
        return cardEnabledFlag;
    }


    public void setWsPrintFlag(String wsPrintFlag)
    {
        this.wsPrintFlag = wsPrintFlag;
    }

    public String getWsPrintFlag()
    {
        return wsPrintFlag;
    }
    public void setPrintSetting(String printSetting)
    {
        this.printSetting = printSetting;
    }

    public String getPrintSetting()
    {
        return printSetting;
    }
    public void setDiscountSetting(String discountSetting)
    {
        this.discountSetting = discountSetting;
    }

    public String getDiscountSetting()
    {
        return discountSetting;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("payId", getPayId())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("cardEnabledFlag", getCardEnabledFlag())
            .append("wsPrintFlag", getWsPrintFlag())
            .append("printSetting", getPrintSetting())
            .append("discountSetting", getDiscountSetting())
            .toString();
    }
}
